Generate a fact-find snapshot PDF Run in API Explorer
Ask AI
Generates a PDF snapshot for the given template and clients. Supports individual snapshots per client and combined circle snapshots.
POST
/api/v2/fact-find/templates/{factFindTemplate_uuid}/generate-pdf
curl \
--request POST 'https://api.plannrcrm.com/api/v2/fact-find/templates/6ff8f7f6-1eb3-3525-be4a-3932c805afed/generate-pdf' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"client_uuids": "293db4f1-411e-4801-b972-7b3a264f4d70",
"circle_uuid": "6bae9a68-092c-46ef-95f1-e0149a4906c1",
"is_combined_view": true
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"client_uuids": "293db4f1-411e-4801-b972-7b3a264f4d70",
"circle_uuid": "6bae9a68-092c-46ef-95f1-e0149a4906c1",
"is_combined_view": true
}
Response examples (401)
{
"message": "Unauthenticated."
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}